<?php
/*
Plugin Name: Rewrite url hack
Plugin URI: http://imthi.com/
Description: This plugin masks the authors url in comment instead directly linking.!!!
Author: Imthiaz Rafiq
Version: 1.0
Author URI: http://imthi.com/
*/

//Add hooks to clear rewrite rules while activating and de-activating this plugin.
function blogRewriteRulesPluginActivate(){
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
add_action('activate_'.str_replace('\\','/',plugin_basename(__FILE__)),'blogRewriteRulesPluginActivate');

function blogRewriteRulesPluginDeActivate(){
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
add_action('deactivate_'.str_replace('\\','/',plugin_basename(__FILE__)),'blogRewriteRulesPluginDeActivate');

//Rewrite rules section
function blogInsertMyRewriteRules($rules){
	$newrules = array();
	$newrules['blog/([0-9]+)/index.php$']='index.php?p=$matches[1]&pleaseRedirectPage=true';
	return $newrules+$rules;
}
add_filter('rewrite_rules_array','blogInsertMyRewriteRules');

function blogInsertMyRewriteQueryVars($vars){
	array_push($vars, 'pleaseRedirectPage');
	return $vars;
}
add_filter('query_vars','blogInsertMyRewriteQueryVars');

function blogInsertMyRewriteParseQuery($query){
	if(!empty($query->query_vars['pleaseRedirectPage'])){
		header("HTTP/1.1 301 Moved Permanently");
		header("location:".get_permalink($query->query_vars['p']));
		exit();
	}
}
add_action('parse_query','blogInsertMyRewriteParseQuery');
?>